
Figure - Bug #112150
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 111713 (New): BSP-V1.0-OTA升级

【BSP】【EVT】【WIFI】【必现】user版本wifi adb不能OTA升级
2022-09-26 17:38 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-26

Priority: High Due date: 2022-10-10

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: 0924号release分支user版本

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018.alpha_0037

Reproducibility: Every time Fixed Version: 2022-09-29

Test Type: Bring Up Test Root cause: user 版本权限问题，导致无法 push 文件到 /data/ota_package 目录。

Description

前置条件：

1.dut各模块功能正常

2.pc和板子处于同一局域网

操作步骤：

1.板子烧录0924号release分支user版本

2.开发者模式内打开无线调试开关

实际结果：

1、wifi adb连接成功后执行adb push update.zip /data/ota_package/update.zip失败

预期结果：

1.adb push update.zip /data/ota_package/update.zip，可以正常执行push升级到到指定目录

History

#1 - 2022-09-27 09:56 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#2 - 2022-09-27 10:35 - 物联网项目组-RD3_CDTS 周飞

- Assignee changed from CD BSP-唐金泽 to CD BSP-杜磊

#3 - 2022-09-27 10:40 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_B sample_20221016

#4 - 2022-09-27 10:48 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_update_20221012

#5 - 2022-09-29 15:15 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD BSP 叶鹏 

#6 - 2022-10-10 10:10 - CD BSP 叶鹏 

- Due date set to 2022-10-10

- Status changed from New to RESOLVED

- Assignee changed from CD BSP 叶鹏  to CD FW-廖涛
针对user版本的设备升级，采用AF同事制作的APP进行升级，具体升级方式与验证方式由廖涛提供

#7 - 2022-10-10 10:22 - CD FW-廖涛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-29

- Root cause set to user 版本权限问题，导致无法 push 文件到 /data/ota_package 目录。

■ Current conclusion

■ My analysis

因 user 版本权限问题，adb 无法 push 文件到 /data/ota_package 目录。

■ Next action / ■Submit URL

通过 adb push 文件到 /sdcard/Download 中，然后通过 McuUpgrade app 进行后续 OTA 升级操作。

McuUpgrade app 读取 /sdcard/Download 下的 update.zip ，获取相关升级所需信息，然后拷贝 update.zip 到 /data/ota_package，通过 UpdateEngine 来进行升级

。

#8 - 2022-10-10 10:23 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

#9 - 2022-10-10 16:04 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CDTS_TEST 刘勇

#10 - 2022-10-18 15:46 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018.alpha_0037

前置条件：

1.dut各模块功能正常

2.pc和板子处于同一局域网

操作步骤：

1.板子烧录1018号release分支user版本

2.开发者模式内打开无线调试开关

实际结果：

1、wifi adb连接成功后执行adb push update.zip /sdcard/Download/update.zip 成功，升级成功

验证结果： PASS ,验证通过 BUG可关闭

验证次数： 4次均通过

验证版本： FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221018.alpha_0037

#11 - 2022-10-18 15:47 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED
